function displayanvil(){
var img = document.createElement('img');
img.id = 'anvil';
img.src = 'data:image/gif;base64,[encoded data, 157868 characters]';
img.draggable = false;
img.style.position = 'fixed';
img.style.bottom = '0';
img.style.right = '0';
img.style.width = '200px';
img.style.height = 'auto';
document.body.appendChild(img);
}